`timescale 1ns / 1ps
module test_cnt_1_top;
parameter p_clk_t = 10;
parameter p_clk_hf_t = 5;
reg  ap_clk;         
wire [7:0]ap_return;
reg  ap_rst;         
reg ap_start;       
reg en;             
reg init;


initial begin
  repeat(1000)begin
    ap_clk = 0;
    # p_clk_hf_t ;
    ap_clk = 1;
    # p_clk_hf_t ;
  end
end

initial begin
  ap_rst <= 1;
  ap_start <= 0;
  en <=0;
  init <= 0;
  # p_clk_t ;
  ap_rst <= 0;
  # p_clk_t ;
  init <= 1;
  # p_clk_t ;
  ap_start <= 1;
  # p_clk_t ;
  ap_start <= 0;
  #( p_clk_t*5) ;
  en <=1;
  init <= 0;
  # p_clk_t ;
  repeat(8)begin
    ap_start <= 1;
    # p_clk_t ;
    ap_start <= 0;
    #( p_clk_t*5) ;
  end
end
  
   cnt_1_top   cnt_1_top 
(.ap_clk(ap_clk),    
 .ap_return(ap_return), 
 .ap_rst(ap_rst),    
 .ap_start(ap_start),  
 .en(en),        
 .init(init)
 );       
           
endmodule
